> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/go/go-bundle/sdks/nfs/models/clusterconnections.md).

# ClusterConnections

## Properties

| Name             | Type       | Description                                                                                                                                    | Notes |
| ---------------- | ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------- | ----- |
| **DatacenterId** | **string** | The ID of the datacenter where the Network File Storage cluster is located.                                                                    |       |
| **Lan**          | **string** | The LAN to which the Network File Storage cluster must be connected.                                                                           |       |
| **IpAddress**    | **string** | The IP address and prefix of the Network File Storage cluster. Must be specified in CIDR notation. Both IPv4 and IPv6 addresses are supported. |       |

## Methods

### NewClusterConnections

`func NewClusterConnections(datacenterId string, lan string, ipAddress string, ) *ClusterConnections`

NewClusterConnections instantiates a new ClusterConnections object This constructor will assign default values to properties that have it defined, and makes sure properties required by API are set, but the set of arguments will change when the set of required properties is changed

### NewClusterConnectionsWithDefaults

`func NewClusterConnectionsWithDefaults() *ClusterConnections`

NewClusterConnectionsWithDefaults instantiates a new ClusterConnections object This constructor will only assign default values to properties that have it defined, but it doesn't guarantee that properties required by API are set

### GetDatacenterId

`func (o *ClusterConnections) GetDatacenterId() string`

GetDatacenterId returns the DatacenterId field if non-nil, zero value otherwise.

### GetDatacenterIdOk

`func (o *ClusterConnections) GetDatacenterIdOk() (*string, bool)`

GetDatacenterIdOk returns a tuple with the DatacenterId field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetDatacenterId

`func (o *ClusterConnections) SetDatacenterId(v string)`

SetDatacenterId sets DatacenterId field to given value.

### GetLan

`func (o *ClusterConnections) GetLan() string`

GetLan returns the Lan field if non-nil, zero value otherwise.

### GetLanOk

`func (o *ClusterConnections) GetLanOk() (*string, bool)`

GetLanOk returns a tuple with the Lan field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetLan

`func (o *ClusterConnections) SetLan(v string)`

SetLan sets Lan field to given value.

### GetIpAddress

`func (o *ClusterConnections) GetIpAddress() string`

GetIpAddress returns the IpAddress field if non-nil, zero value otherwise.

### GetIpAddressOk

`func (o *ClusterConnections) GetIpAddressOk() (*string, bool)`

GetIpAddressOk returns a tuple with the IpAddress field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetIpAddress

`func (o *ClusterConnections) SetIpAddress(v string)`

SetIpAddress sets IpAddress field to given value.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/go/go-bundle/sdks/nfs/models/clusterconnections.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
